package types

import "fmt"

type ResultEncoding string

const (
	ResultInBase64 ResultEncoding = "base64"
	ResultInHex    ResultEncoding = "hex"
)

func (re *ResultEncoding) String() string {
	return string(*re)
}

func (re *ResultEncoding) Set(s string) error {
	switch s {
	case "base64", "hex":
		*re = ResultEncoding(s)
		return nil
	default:
		return fmt.Errorf("不支持的编码方式：%s", s)
	}
}

func (re *ResultEncoding) Type() string {
	return "ResultEncoding"
}
