package types

import (
	"fmt"
	"strings"
)

type EncryptionPadding string

const (
	PKCS7Padding EncryptionPadding = "pkcs7"
	ZeroPadding  EncryptionPadding = "zero"
	NoPadding    EncryptionPadding = "no"
)

func (ep *EncryptionPadding) String() string {
	return string(*ep)
}

func (ep *EncryptionPadding) Set(s string) error {
	switch strings.ToLower(s) {
	case "pkcs7", "zero", "no":
		*ep = EncryptionPadding(s)
		return nil
	default:
		return fmt.Errorf("不支持的填充方式：%s", s)
	}
}

func (ep *EncryptionPadding) Type() string {
	return "EncryptionPadding"
}
